Package org.apache.synapse.commons.throttle.core.impl.ipbase

## Class IPBaseCallerContext

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.CallerContext
  - - org.apache.synapse.commons.throttle.core.impl.ipbase.IPBaseCallerContext

- All Implemented Interfaces:
    `Serializable`, `Cloneable`

      public class IPBaseCallerContext
      extends CallerContext
      implements Serializable

  Caller Context implementation for ip name based throttle type caller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IPBaseCallerContext​(String ID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getType()` | Gets type of throttle that this caller belong ex : ip/domain

    - ### Methods inherited from class org.apache.synapse.commons.throttle.core.CallerContext

      `canAccess, canAccess, cleanUpCallers, clone, getFirstAccessTime, getGlobalCounter, getId, getLocalCounter, getLocalHits, getLocalQuota, getNextAccessTime, getNextTimeWindow, getRoleId, getUnitTime, getUuid, incrementGlobalCounter, incrementLocalCounter, incrementLocalHits, isThrottleParamSyncingModeSync, resetGlobalCounter, resetLocalCounter, setFirstAccessTime, setGlobalCounter, setIsThrottleParamSyncingModeSync, setLocalCounter, setLocalHits, setLocalQuota, setNextAccessTime, setNextTimeWindow, setRoleId, setUnitTime`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IPBaseCallerContext

          public IPBaseCallerContext​(String ID)

  - ### Method Detail

    - #### getType

          public int getType()

      Description copied from class: `CallerContext`
      Gets type of throttle that this caller belong ex : ip/domain
      Specified by:
        `getType` in class `CallerContext`
      Returns:
        int value that indicate the type of throttle